//*****************************************************//
//
// Unit: RsFloatEdit
//
// Purpose: Edit box that excepts numbers only formatted to float
//
// Inherits From: TRsEdit
//
// Project: RapidMisc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#ifndef RsFloatEditH
#define RsFloatEditH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include "RsEdit.h"
#include <StdCtrls.hpp>
#include <math.h>

//---------------------------------------------------------------------------
class PACKAGE TRsFloatEdit : public TRsEdit
{
private:
    double FFloatValue;
    String FFormat;
    bool FFormatOnExit;
    bool __fastcall IsDecimal(char Key);
    void __fastcall SetFloatValue(double value);
    double __fastcall GetFloatValue();
protected:
    long __fastcall GetCheckValue();
    DYNAMIC __fastcall void DoExit(void);
    DYNAMIC void __fastcall KeyPress(char &Key);

public:
       __property double FloatValue  = { read = GetFloatValue, write = SetFloatValue };
        __fastcall TRsFloatEdit(TComponent* Owner);
__published:
  __property String Format  = { read = FFormat, write = FFormat };
  __property bool FormatOnExit  = { read = FFormatOnExit, write = FFormatOnExit };
};
//---------------------------------------------------------------------------
#endif
