//*****************************************************//
//
// Unit: RsIntEdit.cpp
//
// Purpose: Edit box that accepts integers only
//
// Inherits From: TRsEdit
//
// Project: RapidMisc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "RsIntEdit.h"
#pragma package(smart_init)
#pragma link "RsEdit"
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TRsIntEdit *)
{
        new TRsIntEdit(NULL);
}
//---------------------------------------------------------------------------
__fastcall TRsIntEdit::TRsIntEdit(TComponent* Owner)
        : TRsEdit(Owner)
{
}
//---------------------------------------------------------------------------
namespace Rsintedit
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TRsIntEdit)};
                 RegisterComponents("Rapid - Misc", classes, 0);
        }
}
//---------------------------------------------------------------------------
void __fastcall TRsIntEdit::SetIntValue(long value)
{
    Text = IntToStr((__int64)value);
    FIntValue = value;

}

long  __fastcall TRsIntEdit::GetIntValue()
{
   long ret=0;
   if (Text.Trim()=="")
      return ret;

   try
   {
       ret = StrToInt(Text);

   }
   catch (Exception &e)
   {
       if (FOnConvertError)
          FOnConvertError(this);
       else
       {
          throw e;
       }
   }

     return ret;

}

long __fastcall TRsIntEdit::GetCheckValue()
{

  return GetIntValue();


}